# BEGIN SourceDeps(oneline):
BuildRequires(pre): libGConf-devel
BuildRequires: /usr/bin/gconftool-2 libpopt-devel pkgconfig(gio-2.0)
# END SourceDeps(oneline)
Name:           gnome-xcf-thumbnailer
Version:        1.0
Release:        alt1_10
Summary:        Thumbnailer for XCF files

Group:          Toys
License:        GPLv2+
URL:            http://ftp.gnome.org/pub/GNOME/sources/gnome-xcf-thumbnailer/
Source0:        http://download.gnome.org/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
# Fix CVE-2009-2175 (see RHBZ #647907)
Patch0:         gnome-xcf-thumbnailer-1.0-CVE-2009-2175.patch
# Fix compilation against libpng 1.5
Patch1:         gnome-xcf-thumbnailer-1.0-libpng15.patch

BuildRequires:  GConf2
BuildRequires:  glib2-devel
BuildRequires:  libpng-devel
BuildRequires:  popt-devel
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2
Source44: import.info

%description
Thumbnailer for GIMP's own format, XCF files.


%prep
%setup -q
%patch0 -p0 -b .CVE-2009-2175
%patch1 -p1 -b .libpng15


%build
%configure \
  --disable-schemas-install
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT


%post
%gconf2_install %{name}


%preun
if [ "$1" -eq 0 ]; then
    %gconf2_uninstall  %{name}
fi


%files
%doc AUTHORS ChangeLog COPYING NEWS TODO
%{_bindir}/gnome-xcf-thumbnailer
%{_sysconfdir}/gconf/schemas/*.schemas


%changelog
* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_10
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_9
- initial fc import

